# WiiCR config file

########################
# Start of Basic Setup #
########################

# ----------------
# xampp directory 

# this must point to the local install directory of xampp

$xampp_dir = "C:/Program Files/xampp";

# -------
# theme

# change to name of theme, themes are store in $xampp_dir/htdocs/wmc/themes/

$theme 		= "icons1";
#$theme 		= "Wiipaper";
#$theme 		= "WiipaperPurple";

# --------
# drives

# add new drives / directories like this 

# @drives = 
# (
# 	"C:",
#	"D:", 
#	"M:", 
#	"Z:",
#	"my drive:",
# );

@drives = 
(
	"C:",
	"D:", 
	"M:", 
	"Z:",
);


######################
# End of Basic Setup #
######################

########################
# OS Specific settings #
########################

$perl_exe	= "$xampp_dir/perl/bin/perl";
$enc_exe 	= "$xampp_dir/cgi-bin/ffmpeg";

$sys_shell	= "";	# left blank for win32
#$sys_shell	= "/bin/bash";

###############################
# End of OS Specific settings #
###############################

##################
# ffmpeg options #
##################

# encoding options

$enc_opts = "-f flv -vcodec flv -ab 56 -ar 44100 -b 600k -s 320x240 -r 25";

# length of video segments in seconds.

$duration = int (3.3 * 60);

# refresh delay

$refresh_delay = 4;

#$enc_opts = "-ab 56 -ar 44100 -s 320x240 -b 400k -g 300 -r 30";

########################
# End offfmpeg options #
########################

#####################
# Advanced settings #
#####################

# shoud not need to change these settings, unless you are doing a custom install

# ------------
# local dirs 


our $conf_dir		= "$xampp_dir/cgi-bin/conf";

our $html_local_dir	= "$xampp_dir/htdocs/wmc";
our $wiicr_local_dir	= "$xampp_dir/htdocs/wmc";
our $theme_local_dir 	= "$wiicr_local_dir/themes/$theme";
our $tpl_local_dir	= "$theme_local_dir/tpl";
our $cgi_local_dir	= "$wiicr_local_dir";
our $flv_local_dir 	= "$wiicr_local_dir/flv";
our $images_local_dir	= "$wiicr_local_dir/images";
our $mp3_local_dir 	= "$wiicr_local_dir/mp3";

our $work_dir 		= "$xampp_dir/htdocs/wmc/work";

# -----------
# http dirs

our $wiicr_dir	= "/wmc";
our $mp3_dir 	= "$wiicr_dir/mp3";
our $wiicr_dir	= "$wiicr_dir";
our $cgi_dir	= "$wiicr_dir";
our $images_dir	= "$wiicr_dir/images";
our $theme_dir 	= "$wiicr_dir/themes/$theme";
our $tpl_dir	= "$theme_dir/tpl";

# -------
# Files

our $links 	= "$theme_local_dir/links.txt";
our $favourites	= "$wiicr_local_dir/favs.txt";
our $mp3_pls 	= "$theme_local_dir/mp3play/mylistdata.xml";

############################
# End of Advanced settings #
############################


1;